org.eclipse.cdt.core.parser

## Class GCCKeywords

- java.lang.Object
- - org.eclipse.cdt.core.parser.GCCKeywords

    public class GCCKeywords
    extends Object

Restriction:
  This interface is not intended to be extended by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

Fields
`static String` `__ALIGNOF__`
`static String` `__ATTRIBUTE__`
`static String` `__DECLSPEC`
`static String` `__DECLTYPE`
`static String` `__FINAL`
`static String` `__FLOAT128`
`static String` `__INT128`
`static String` `_DECIMAL128`
`static String` `_DECIMAL32`
`static String` `_DECIMAL64`
`static char[]` `cp__ALIGNOF`
`static char[]` `cp__ALIGNOF__`
`static char[]` `cp__ASM`
`static char[]` `cp__ASM__`
`static char[]` `cp__ATTRIBUTE`
`static char[]` `cp__ATTRIBUTE__`
`static char[]` `cp__CONST`
`static char[]` `cp__CONST__`
`static char[]` `cp__DECLSPEC`
`static char[]` `cp__DECLTYPE`
`static char[]` `cp__FINAL`
`static char[]` `cp__float128`
`static char[]` `cp__has_nothrow_assign`
`static char[]` `cp__has_nothrow_constructor`
`static char[]` `cp__has_nothrow_copy`
`static char[]` `cp__has_trivial_assign`
`static char[]` `cp__has_trivial_constructor`
`static char[]` `cp__has_trivial_copy`
`static char[]` `cp__has_trivial_destructor`
`static char[]` `cp__has_virtual_destructor`
`static char[]` `cp__INLINE`
`static char[]` `cp__INLINE__`
`static char[]` `cp__int128`
`static char[]` `cp__integer_pack`
`static char[]` `cp__is_abstract`
`static char[]` `cp__is_base_of`
`static char[]` `cp__is_class`
`static char[]` `cp__is_constructible`
`static char[]` `cp__is_empty`
`static char[]` `cp__is_enum`
`static char[]` `cp__is_final`
`static char[]` `cp__is_literal_type`
`static char[]` `cp__is_pod`
`static char[]` `cp__is_polymorphic`
`static char[]` `cp__is_standard_layout`
`static char[]` `cp__is_trivial`
`static char[]` `cp__is_trivially_assignable`
`static char[]` `cp__is_trivially_constructible`
`static char[]` `cp__is_trivially_copyable`
`static char[]` `cp__is_union`
`static char[]` `cp__RESTRICT`
`static char[]` `cp__RESTRICT__`
`static char[]` `cp__SIGNED`
`static char[]` `cp__SIGNED__`
`static char[]` `cp__TYPEOF`
`static char[]` `cp__TYPEOF__`
`static char[]` `cp__underlying_type`
`static char[]` `cp__VOLATILE`
`static char[]` `cp__VOLATILE__`
`static char[]` `cp_decimal128`
`static char[]` `cp_decimal32`
`static char[]` `cp_decimal64`
`static char[]` `cpTYPEOF`
`static String` `TYPEOF`

### Constructor Summary

Constructors
Constructor and Description
`GCCKeywords()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPEOF

    public static final String TYPEOF

See Also:
  Constant Field Values

#### __ALIGNOF__

    public static final String __ALIGNOF__

See Also:
  Constant Field Values

#### __ATTRIBUTE__

    public static final String __ATTRIBUTE__

See Also:
  Constant Field Values

#### __DECLSPEC

    public static final String __DECLSPEC

See Also:
  Constant Field Values

#### __DECLTYPE

    public static final String __DECLTYPE

Since:
  5.5
See Also:
  Constant Field Values

#### __INT128

    public static final String __INT128

Since:
  5.5
See Also:
  Constant Field Values

#### __FLOAT128

    public static final String __FLOAT128

Since:
  5.5
See Also:
  Constant Field Values

#### __FINAL

    public static final String __FINAL

Since:
  5.9
See Also:
  Constant Field Values

#### _DECIMAL32

    public static final String _DECIMAL32

Since:
  5.10
See Also:
  Constant Field Values

#### _DECIMAL64

    public static final String _DECIMAL64

Since:
  5.10
See Also:
  Constant Field Values

#### _DECIMAL128

    public static final String _DECIMAL128

Since:
  5.10
See Also:
  Constant Field Values

#### cpTYPEOF

    public static final char[] cpTYPEOF

#### cp__ALIGNOF__

    public static final char[] cp__ALIGNOF__

#### cp__ATTRIBUTE__

    public static final char[] cp__ATTRIBUTE__

#### cp__DECLSPEC

    public static final char[] cp__DECLSPEC

#### cp__ALIGNOF

    public static final char[] cp__ALIGNOF

#### cp__ATTRIBUTE

    public static final char[] cp__ATTRIBUTE

#### cp__ASM

    public static final char[] cp__ASM

#### cp__ASM__

    public static final char[] cp__ASM__

#### cp__CONST

    public static final char[] cp__CONST

#### cp__CONST__

    public static final char[] cp__CONST__

#### cp__INLINE

    public static final char[] cp__INLINE

#### cp__INLINE__

    public static final char[] cp__INLINE__

#### cp__RESTRICT

    public static final char[] cp__RESTRICT

#### cp__RESTRICT__

    public static final char[] cp__RESTRICT__

#### cp__VOLATILE

    public static final char[] cp__VOLATILE

#### cp__VOLATILE__

    public static final char[] cp__VOLATILE__

#### cp__SIGNED

    public static final char[] cp__SIGNED

#### cp__SIGNED__

    public static final char[] cp__SIGNED__

#### cp__TYPEOF

    public static final char[] cp__TYPEOF

#### cp__TYPEOF__

    public static final char[] cp__TYPEOF__

#### cp__has_nothrow_assign

    public static final char[] cp__has_nothrow_assign

Since:
  5.3

#### cp__has_nothrow_copy

    public static final char[] cp__has_nothrow_copy

Since:
  5.3

#### cp__has_nothrow_constructor

    public static final char[] cp__has_nothrow_constructor

Since:
  5.3

#### cp__has_trivial_assign

    public static final char[] cp__has_trivial_assign

Since:
  5.3

#### cp__has_trivial_copy

    public static final char[] cp__has_trivial_copy

Since:
  5.3

#### cp__has_trivial_constructor

    public static final char[] cp__has_trivial_constructor

Since:
  5.3

#### cp__has_trivial_destructor

    public static final char[] cp__has_trivial_destructor

Since:
  5.3

#### cp__has_virtual_destructor

    public static final char[] cp__has_virtual_destructor

Since:
  5.3

#### cp__is_abstract

    public static final char[] cp__is_abstract

Since:
  5.3

#### cp__is_base_of

    public static final char[] cp__is_base_of

Since:
  5.3

#### cp__is_class

    public static final char[] cp__is_class

Since:
  5.3

#### cp__is_empty

    public static final char[] cp__is_empty

Since:
  5.3

#### cp__is_enum

    public static final char[] cp__is_enum

Since:
  5.3

#### cp__is_pod

    public static final char[] cp__is_pod

Since:
  5.3

#### cp__is_polymorphic

    public static final char[] cp__is_polymorphic

Since:
  5.3

#### cp__is_union

    public static final char[] cp__is_union

Since:
  5.3

#### cp__DECLTYPE

    public static final char[] cp__DECLTYPE

Since:
  5.5

#### cp__float128

    public static final char[] cp__float128

Since:
  5.5

#### cp__int128

    public static final char[] cp__int128

Since:
  5.5

#### cp__is_literal_type

    public static final char[] cp__is_literal_type

Since:
  5.5

#### cp__is_standard_layout

    public static final char[] cp__is_standard_layout

Since:
  5.5

#### cp__is_trivial

    public static final char[] cp__is_trivial

Since:
  5.5

#### cp__is_final

    public static final char[] cp__is_final

Since:
  5.6

#### cp__underlying_type

    public static final char[] cp__underlying_type

Since:
  5.6

#### cp__FINAL

    public static final char[] cp__FINAL

Since:
  5.9

#### cp_decimal32

    public static final char[] cp_decimal32

Since:
  5.10

#### cp_decimal64

    public static final char[] cp_decimal64

Since:
  5.10

#### cp_decimal128

    public static final char[] cp_decimal128

Since:
  5.10

#### cp__is_trivially_copyable

    public static final char[] cp__is_trivially_copyable

Since:
  6.0

#### cp__is_trivially_constructible

    public static final char[] cp__is_trivially_constructible

Since:
  6.0

#### cp__is_trivially_assignable

    public static final char[] cp__is_trivially_assignable

Since:
  6.0

#### cp__is_constructible

    public static final char[] cp__is_constructible

Since:
  6.6

#### cp__integer_pack

    public static final char[] cp__integer_pack

Since:
  6.11

### Constructor Detail

#### GCCKeywords

    public GCCKeywords()